Could not find or load the Qt platform plugin "directfb"



  • I ported Qt5.4 to freescale imx6 board's linux BSP, and I was using directfb as the platform to run Qt applications. When I ran a Qt example application with directfb1.4, everything worked well. However, when I switched to directfb1.7.0 and run the same application, I got the below error message.
    This application failed to start because it could not find or load the Qt platform plugin "directfb". Available platform plugins are: directfbegl, directfb, eglfs, linuxfb, minimal, minimalegl, offscreen.

    I have run a directfb example application using directfb1.7.0, and everything worked well. Hence, the directfb1.7.0 lib should be OK. Does anybody know why Qt5.4 doesn't work with directfb1.7.0? Really appreciate.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.